Dash.h File Reference
`#include <vector>`
`#include <boost/optional.hpp>`

Go to the source code of this file.

## Classes

struct | libmspub::Dot
struct | libmspub::Dash

## Namespaces

namespace | libmspub

## Enumerations

enum | libmspub::DotStyle { libmspub::RECT_DOT , libmspub::ROUND_DOT }
enum | libmspub::MSPUBDashStyle { libmspub::MSPUB_DS_SOLID , libmspub::DASH_SYS , libmspub::DOT_SYS , libmspub::DASH_DOT_SYS , libmspub::DASH_DOT_DOT_SYS , libmspub::DOT_GEL , libmspub::DASH_GEL , libmspub::LONG_DASH_GEL , libmspub::DASH_DOT_GEL , libmspub::LONG_DASH_DOT_GEL , libmspub::LONG_DASH_DOT_DOT_GEL }

## Functions

bool | libmspub::operator!= (const Dot &lhs, const Dot &rhs)
bool | libmspub::operator== (const Dot &lhs, const Dot &rhs)
bool | libmspub::operator== (const Dash &lhs, const Dash &rhs)
Dash | libmspub::getDash (MSPUBDashStyle style, unsigned shapeLineWidthEmu, DotStyle dotStyle)